package com.telephoners.krakyournet.ctf.repositories;

import com.telephoners.krakyournet.ctf.beans.Team;
import com.telephoners.krakyournet.ctf.beans.User;

import javax.inject.Inject;
import javax.inject.Singleton;

@Singleton
public class TeamsRepository extends Repository<Team>
{
    private final UsersRepository usersRepository;

    @Inject
    public TeamsRepository(UsersRepository usersRepository)
    {
        this.usersRepository = usersRepository;
    }

    public Team getTeamByUser(User user)
    {
        return null;
        /*
        return datastore.createQuery(Team.class).asList().stream()
                .filter(team -> team.getMembers().contains(user))
                .findFirst()
                .orElseThrow(TeamNotFoundException::new);*/
    }

    public Team getTeamByUserName(String username)
    {
        return getTeamByUser(usersRepository.getUserByName(username));
    }
}
